package com.example.mapper;

import com.example.entity.*;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;

public interface DoctorMapper extends BaseMapper<Doctor> {

    /**
      * 查询所有
    */
    List<Doctor> selectAll(Doctor doctor);

    /**
      * 根据ID查询
    */
    Doctor selectById(Integer id);

    /**
      * 删除
    */
    int deleteById(Integer id);

	@Select("select * from doctor where `username` = #{name}")
	Doctor selectByUsername(@Param("name") String userName);
} 